OpenMesh::HPropHandleT< T > Struct Template Reference
Mesh Property Handles

Handle representing a halfedge property. More...

`#include <OpenMesh/Core/Utils/Property.hh>`

Inheritance diagram for OpenMesh::HPropHandleT< T >:
[legend]
Collaboration diagram for OpenMesh::HPropHandleT< T >:
[legend]

## Public Types

typedef T | Value
typedef T | value_type
Public Types inherited from OpenMesh::BasePropHandleT< T >
typedef T | Value
typedef std::vector< T > | vector_type
typedef T | value_type
typedef vector_type::reference | reference
typedef vector_type::const_reference | const_reference

## Public Member Functions

| HPropHandleT (int _idx=-1)
| HPropHandleT (const BasePropHandleT< T > &_b)
Public Member Functions inherited from OpenMesh::BasePropHandleT< T >
| BasePropHandleT (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)

## Detailed Description

### template<class T>
struct OpenMesh::HPropHandleT< T >

Handle representing a halfedge property.

The documentation for this struct was generated from the following file:

- OpenMesh/Core/Utils/Property.hh